> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer To Employee

> Transfer funds to employee for an approved expense request.
Creates a transfer_record and updates expense_request status to 'paid'.
Restricted to Accountant / Manager / Admin / Director / Finance.



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/expense-requests/{expense_request_id}/transfer
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/expense-requests/{expense_request_id}/transfer:
    post:
      tags:
        - 'Admin Sector: Expense Requests'
      summary: Transfer To Employee
      description: |-
        Transfer funds to employee for an approved expense request.
        Creates a transfer_record and updates expense_request status to 'paid'.
        Restricted to Accountant / Manager / Admin / Director / Finance.
      operationId: >-
        transfer_to_employee_api_v1_expense_requests__expense_request_id__transfer_post
      parameters:
        - name: expense_request_id
          in: path
          required: true
          schema:
            type: string
            title: Expense Request Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransferToEmployeeRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    TransferToEmployeeRequest:
      properties:
        amount:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Amount
          description: Payment amount (defaults to remaining balance)
        transactionDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Transactiondate
        bankAccount:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaccount
        referenceNo:
          anyOf:
            - type: string
            - type: 'null'
          title: Referenceno
        sourceOfFundId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceoffundid
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      title: TransferToEmployeeRequest
    TransferResponse:
      properties:
        expenseRequest:
          $ref: '#/components/schemas/ExpenseRequestResponse'
        transferRecord:
          $ref: '#/components/schemas/TransferRecordResponse'
      type: object
      required:
        - expenseRequest
        - transferRecord
      title: TransferResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExpenseRequestResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        requesterId:
          type: string
          title: Requesterid
        requestType:
          type: string
          title: Requesttype
        paymentMethod:
          type: string
          title: Paymentmethod
        totalAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Totalamount
        paidAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Paidamount
          default: 0
        usedAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Usedamount
          default: 0
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        linkedAdvanceRequestId:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedadvancerequestid
        sourceTemplateId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourcetemplateid
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        lineItems:
          items:
            $ref: >-
              #/components/schemas/routers__admin_sector__expense_requests__LineItemResponse
          type: array
          title: Lineitems
      type: object
      required:
        - id
        - orgId
        - requesterId
        - requestType
        - paymentMethod
        - totalAmount
        - currency
        - status
      title: ExpenseRequestResponse
    TransferRecordResponse:
      properties:
        id:
          type: string
          title: Id
        transferNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Transfernumber
        direction:
          type: string
          title: Direction
        counterpartyType:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterpartytype
        counterpartyId:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterpartyid
        counterpartyName:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterpartyname
        bankAccount:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaccount
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        currency:
          type: string
          title: Currency
        transactionDate:
          type: string
          title: Transactiondate
        valueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Valuedate
        referenceNo:
          anyOf:
            - type: string
            - type: 'null'
          title: Referenceno
        sourceOfFundId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceoffundid
        expenseRequestId:
          anyOf:
            - type: string
            - type: 'null'
          title: Expenserequestid
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - id
        - direction
        - amount
        - currency
        - transactionDate
      title: TransferRecordResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    routers__admin_sector__expense_requests__LineItemResponse:
      properties:
        id:
          type: string
          title: Id
        expenseRequestId:
          type: string
          title: Expenserequestid
        description:
          type: string
          title: Description
        quantity:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Quantity
        unitPrice:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Unitprice
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        managementAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Managementaccountid
        receiptUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Receipturl
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - id
        - expenseRequestId
        - description
        - amount
      title: LineItemResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````